using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
		if (!Page.IsPostBack)
		{
			SetInitialContent();
		}
    }

	private void SetInitialContent()
	{
		string filePath = Server.MapPath("~/SampleInitialContent.docx");
		byte[] fileBinaryData = File.ReadAllBytes(filePath);
		string convertedContent = DocxToHtmlConverter.ConvertDocxToHtml(fileBinaryData);

		RadEditor1.Content = convertedContent;
	}

	protected void BtnExportToDocx_Click(object sender, EventArgs e)
	{
		RadEditor1.Export(new RadEditorDocxExportEnhancement.TelerikDocxExportTemplate(RadEditor1));
	}
}